Package org.silverpeas.components.survey.notification

## Class SurveyUserAlertNotification

- java.lang.Object
- - org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
  - - org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
    - - org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail>
      - - org.silverpeas.components.survey.notification.AbstractSurveyUserNotification
        - - org.silverpeas.components.survey.notification.SurveyUserAlertNotification

- All Implemented Interfaces:
    `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`

      public class SurveyUserAlertNotification
      extends AbstractSurveyUserNotification

  Author:
    silveryocha

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.silverpeas.core.notification.user.client.constant.NotifAction` | `getAction()` |
    `protected String` | `getTemplateFileName()` |
    `protected Collection<String>` | `getUserIdsToNotify()` |
    `protected void` | `perform​(org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail resource)` |
    `protected boolean` | `stopWhenNoUserToNotify()` |

    - ### Methods inherited from class org.silverpeas.components.survey.notification.AbstractSurveyUserNotification

      `getComponentInstanceId, getContributionAccessLinkLabelBundleKey, getLocalizationBundlePath, getSender, getTemplatePath, performNotificationResource, performTemplateData`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `createNotification, getBundleSubjectKey, getTitle, getTitle, performBuild, performNotificationResource, performNotificationResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

      `getResource, getResourceURL, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isSendImmediately, isUserCanBeNotified, performBuild, setResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

      `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTemplateFileName

          protected String getTemplateFileName()

      Specified by:
        `getTemplateFileName` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail>`

    - #### stopWhenNoUserToNotify

          protected boolean stopWhenNoUserToNotify()

      Overrides:
        `stopWhenNoUserToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

    - #### perform

          protected void perform​(org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail resource)

      Overrides:
        `perform` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail>`

    - #### getAction

          protected org.silverpeas.core.notification.user.client.constant.NotifAction getAction()

      Overrides:
        `getAction` in class `AbstractSurveyUserNotification`

    - #### getUserIdsToNotify

          protected Collection<String> getUserIdsToNotify()

      Specified by:
        `getUserIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`